Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component.html
Class HtmlTabPanel

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UIOutput
                  javax.faces.component.UIInput
                      org.richfaces.component.UISwitchablePanel
                          org.richfaces.component.UITabPanel
                              org.richfaces.component.html.HtmlTabPanel

All Implemented Interfaces:
  javax.faces.component.EditableValueHolder, javax.faces.component.StateHolder, javax.faces.component.ValueHolder

    public class HtmlTabPanel

extends UITabPanel

Component-Type org.richfaces.TabPanel Component-Family org.richfaces.TabPanel Renderer-Type org.richfaces.TabPanelRenderer A tab panel displaying tabs for grouping content of a panel.

Field Summary
`static java.lang.String` | `COMPONENT_FAMILY`
`static java.lang.String` | `COMPONENT_TYPE`

Fields inherited from class org.richfaces.component.UISwitchablePanel
`AJAX_METHOD, CLIENT_METHOD, DEFAULT_METHOD, SERVER_METHOD`

Fields inherited from class javax.faces.component.UIInput
`CONVERSION_MESSAGE_ID, REQUIRED_MESSAGE_ID`

Constructor Summary
`HtmlTabPanel()` Constructor to init default renderers

Method Summary
`java.lang.String` | `getActiveTabClass()` A CSS class to be applied to an active tab Getter for activeTabClass
`java.lang.String` | `getContentClass()` A CSS class for content of a tab panel Getter for contentClass
`java.lang.String` | `getContentStyle()` A CSS style is for the content of a tab panel Getter for contentStyle
`java.lang.String` | `getDir()` Direction indication for text that does not inherit directionality.
`java.lang.String` | `getDisabledTabClass()` A CSS class to be applied to a disabled tab Getter for disabledTabClass
`java.lang.String` | `getFamily()`
`java.lang.String` | `getHeaderAlignment()` Sets tab headers alignment.
`java.lang.String` | `getHeaderClass()` A CSS style is for the header of a tab panel.
`java.lang.String` | `getHeaderSpacing()` Sets tab headers spacing.
`java.lang.String` | `getHeight()` Height of a tab panel defined in pixels or in percents Getter for height
`java.lang.String` | `getInactiveTabClass()` CSS class to be applied to an inactive (but not disabled) tab Getter for inactiveTabClass
`java.lang.String` | `getLabel()` A localized user presentable name for this component.
`java.lang.String` | `getLang()` Code describing the language used in the generated markup for this component Getter for lang
`java.lang.String` | `getOnclick()` HTML: a script expression; a pointer button is clicked Getter for onclick
`java.lang.String` | `getOndblclick()` HTML: a script expression; a pointer button is double-clicked Getter for ondblclick
`java.lang.String` | `getOnkeydown()` HTML: a script expression; a key is pressed down Getter for onkeydown
`java.lang.String` | `getOnkeypress()` HTML: a script expression; a key is pressed and released Getter for onkeypress
`java.lang.String` | `getOnkeyup()` HTML: a script expression; a key is released Getter for onkeyup
`java.lang.String` | `getOnmousedown()` HTML: script expression; a pointer button is pressed down Getter for onmousedown
`java.lang.String` | `getOnmousemove()` HTML: a script expression; a pointer is moved within Getter for onmousemove
`java.lang.String` | `getOnmouseout()` HTML: a script expression; a pointer is moved away Getter for onmouseout
`java.lang.String` | `getOnmouseover()` HTML: a script expression; a pointer is moved onto Getter for onmouseover
`java.lang.String` | `getOnmouseup()` HTML: script expression; a pointer button is released Getter for onmouseup
`java.lang.String` | `getStyle()` CSS style(s) is/are to be applied when this component is rendered Getter for style
`java.lang.String` | `getStyleClass()` Corresponds to the HTML class attribute Getter for styleClass
`java.lang.String` | `getSwitchType()` Tab switch algorithm: "client", "server"(default), "ajax" Getter for switchType
`java.lang.String` | `getTabClass()` A CSS class to be applied to all tabs Getter for tabClass
`java.lang.String` | `getTitle()` Advisory title information about markup elements generated for this component Getter for title
`java.lang.String` | `getWidth()` Width of a tab panel defined in pixels or in percents.
`void` | `restoreState(javax.faces.context.FacesContext context, java.lang.Object state)`
`java.lang.Object` | `saveState(javax.faces.context.FacesContext context)`
`void` | `setActiveTabClass(java.lang.String __activeTabClass)` A CSS class to be applied to an active tab Setter for activeTabClass
`void` | `setContentClass(java.lang.String __contentClass)` A CSS class for content of a tab panel Setter for contentClass
`void` | `setContentStyle(java.lang.String __contentStyle)` A CSS style is for the content of a tab panel Setter for contentStyle
`void` | `setDir(java.lang.String __dir)` Direction indication for text that does not inherit directionality.
`void` | `setDisabledTabClass(java.lang.String __disabledTabClass)` A CSS class to be applied to a disabled tab Setter for disabledTabClass
`void` | `setHeaderAlignment(java.lang.String __headerAlignment)` Sets tab headers alignment.
`void` | `setHeaderClass(java.lang.String __headerClass)` A CSS style is for the header of a tab panel.
`void` | `setHeaderSpacing(java.lang.String __headerSpacing)` Sets tab headers spacing.
`void` | `setHeight(java.lang.String __height)` Height of a tab panel defined in pixels or in percents Setter for height
`void` | `setInactiveTabClass(java.lang.String __inactiveTabClass)` CSS class to be applied to an inactive (but not disabled) tab Setter for inactiveTabClass
`void` | `setLabel(java.lang.String __label)` A localized user presentable name for this component.
`void` | `setLang(java.lang.String __lang)` Code describing the language used in the generated markup for this component Setter for lang
`void` | `setOnclick(java.lang.String __onclick)` HTML: a script expression; a pointer button is clicked Setter for onclick
`void` | `setOndblclick(java.lang.String __ondblclick)` HTML: a script expression; a pointer button is double-clicked Setter for ondblclick
`void` | `setOnkeydown(java.lang.String __onkeydown)` HTML: a script expression; a key is pressed down Setter for onkeydown
`void` | `setOnkeypress(java.lang.String __onkeypress)` HTML: a script expression; a key is pressed and released Setter for onkeypress
`void` | `setOnkeyup(java.lang.String __onkeyup)` HTML: a script expression; a key is released Setter for onkeyup
`void` | `setOnmousedown(java.lang.String __onmousedown)` HTML: script expression; a pointer button is pressed down Setter for onmousedown
`void` | `setOnmousemove(java.lang.String __onmousemove)` HTML: a script expression; a pointer is moved within Setter for onmousemove
`void` | `setOnmouseout(java.lang.String __onmouseout)` HTML: a script expression; a pointer is moved away Setter for onmouseout
`void` | `setOnmouseover(java.lang.String __onmouseover)` HTML: a script expression; a pointer is moved onto Setter for onmouseover
`void` | `setOnmouseup(java.lang.String __onmouseup)` HTML: script expression; a pointer button is released Setter for onmouseup
`void` | `setStyle(java.lang.String __style)` CSS style(s) is/are to be applied when this component is rendered Setter for style
`void` | `setStyleClass(java.lang.String __styleClass)` Corresponds to the HTML class attribute Setter for styleClass
`void` | `setSwitchType(java.lang.String __switchType)` Tab switch algorithm: "client", "server"(default), "ajax" Setter for switchType
`void` | `setTabClass(java.lang.String __tabClass)` A CSS class to be applied to all tabs Setter for tabClass
`void` | `setTitle(java.lang.String __title)` Advisory title information about markup elements generated for this component Setter for title
`void` | `setWidth(java.lang.String __width)` Width of a tab panel defined in pixels or in percents.

Methods inherited from class org.richfaces.component.UITabPanel
`convertSwitchValue, getRenderedTabs, getRenderedValue, getRendersChildren, getSelectedTab, getSwitchedFacetsAndChildren, getValue, processDecodes, setRenderedValue, setSelectedTab, setValue`

Methods inherited from class org.richfaces.component.UISwitchablePanel
`broadcast, processUpdates, processValidators, queueEvent, updateModel`

Methods inherited from class javax.faces.component.UIInput
`addValidator, addValueChangeListener, compareValues, decode, getConvertedValue, getSubmittedValue, getValidator, getValidators, getValueChangeListener, getValueChangeListeners, isImmediate, isLocalValueSet, isRequired, isValid, removeValidator, removeValueChangeListener, setImmediate, setLocalValueSet, setRequired, setSubmittedValue, setValid, setValidator, setValueChangeListener, validate, validateValue`

Methods inherited from class javax.faces.component.UIOutput
`getConverter, getLocalValue, setConverter`

Methods inherited from class javax.faces.component.UIComponentBase
`addFacesListener, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientId, getFacesContext, getFacesListeners, getFacet, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getValueBinding, isRendered, isTransient, processRestoreState, processSaveState, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.faces.component.ValueHolder
`getConverter, getLocalValue, setConverter`

Field Detail

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

See Also:
  Constant Field Values

### COMPONENT_FAMILY

    public static final java.lang.String COMPONENT_FAMILY

See Also:
  Constant Field Values

Constructor Detail

### HtmlTabPanel

    public HtmlTabPanel()

  Constructor to init default renderers

Method Detail

### setActiveTabClass

    public void setActiveTabClass(java.lang.String __activeTabClass)

  A CSS class to be applied to an active tab Setter for activeTabClass

  Parameters:
    `activeTabClass` - - new value

### getActiveTabClass

    public java.lang.String getActiveTabClass()

  A CSS class to be applied to an active tab Getter for activeTabClass

  Returns:
    activeTabClass value from local variable or value bindings

### setContentClass

    public void setContentClass(java.lang.String __contentClass)

  A CSS class for content of a tab panel Setter for contentClass

  Parameters:
    `contentClass` - - new value

### getContentClass

    public java.lang.String getContentClass()

  A CSS class for content of a tab panel Getter for contentClass

  Returns:
    contentClass value from local variable or value bindings

### setContentStyle

    public void setContentStyle(java.lang.String __contentStyle)

  A CSS style is for the content of a tab panel Setter for contentStyle

  Parameters:
    `contentStyle` - - new value

### getContentStyle

    public java.lang.String getContentStyle()

  A CSS style is for the content of a tab panel Getter for contentStyle

  Returns:
    contentStyle value from local variable or value bindings

### setDir

    public void setDir(java.lang.String __dir)

  Direction indication for text that does not inherit directionality. Valid values are "LTR" (left-to-right) and "RTL" (right-to-left) Setter for dir

  Parameters:
    `dir` - - new value

### getDir

    public java.lang.String getDir()

  Direction indication for text that does not inherit directionality. Valid values are "LTR" (left-to-right) and "RTL" (right-to-left) Getter for dir

  Returns:
    dir value from local variable or value bindings

### setDisabledTabClass

    public void setDisabledTabClass(java.lang.String __disabledTabClass)

  A CSS class to be applied to a disabled tab Setter for disabledTabClass

  Parameters:
    `disabledTabClass` - - new value

### getDisabledTabClass

    public java.lang.String getDisabledTabClass()

  A CSS class to be applied to a disabled tab Getter for disabledTabClass

  Returns:
    disabledTabClass value from local variable or value bindings

### setHeaderAlignment

    public void setHeaderAlignment(java.lang.String __headerAlignment)

  Sets tab headers alignment. It can be "left" or "right". "left" is used by default Setter for headerAlignment

  Specified by:
    `setHeaderAlignment` in class `UITabPanel`
  Parameters:
    `headerAlignment` - - new value

### getHeaderAlignment

    public java.lang.String getHeaderAlignment()

  Sets tab headers alignment. It can be "left" or "right". "left" is used by default Getter for headerAlignment

  Specified by:
    `getHeaderAlignment` in class `UITabPanel`
  Returns:
    headerAlignment value from local variable or value bindings

### setHeaderClass

    public void setHeaderClass(java.lang.String __headerClass)

  A CSS style is for the header of a tab panel. Setter for headerClass

  Specified by:
    `setHeaderClass` in class `UITabPanel`
  Parameters:
    `headerClass` - - new value

### getHeaderClass

    public java.lang.String getHeaderClass()

  A CSS style is for the header of a tab panel. Getter for headerClass

  Specified by:
    `getHeaderClass` in class `UITabPanel`
  Returns:
    headerClass value from local variable or value bindings

### setHeaderSpacing

    public void setHeaderSpacing(java.lang.String __headerSpacing)

  Sets tab headers spacing. It should be a valid size unit expression Setter for headerSpacing

  Specified by:
    `setHeaderSpacing` in class `UITabPanel`
  Parameters:
    `headerSpacing` - - new value

### getHeaderSpacing

    public java.lang.String getHeaderSpacing()

  Sets tab headers spacing. It should be a valid size unit expression Getter for headerSpacing

  Specified by:
    `getHeaderSpacing` in class `UITabPanel`
  Returns:
    headerSpacing value from local variable or value bindings

### setHeight

    public void setHeight(java.lang.String __height)

  Height of a tab panel defined in pixels or in percents Setter for height

  Parameters:
    `height` - - new value

### getHeight

    public java.lang.String getHeight()

  Height of a tab panel defined in pixels or in percents Getter for height

  Returns:
    height value from local variable or value bindings

### setInactiveTabClass

    public void setInactiveTabClass(java.lang.String __inactiveTabClass)

  CSS class to be applied to an inactive (but not disabled) tab Setter for inactiveTabClass

  Parameters:
    `inactiveTabClass` - - new value

### getInactiveTabClass

    public java.lang.String getInactiveTabClass()

  CSS class to be applied to an inactive (but not disabled) tab Getter for inactiveTabClass

  Returns:
    inactiveTabClass value from local variable or value bindings

### setLabel

    public void setLabel(java.lang.String __label)

  A localized user presentable name for this component. Setter for label

  Parameters:
    `label` - - new value

### getLabel

    public java.lang.String getLabel()

  A localized user presentable name for this component. Getter for label

  Returns:
    label value from local variable or value bindings

### setLang

    public void setLang(java.lang.String __lang)

  Code describing the language used in the generated markup for this component Setter for lang

  Parameters:
    `lang` - - new value

### getLang

    public java.lang.String getLang()

  Code describing the language used in the generated markup for this component Getter for lang

  Returns:
    lang value from local variable or value bindings

### setOnclick

    public void setOnclick(java.lang.String __onclick)

  HTML: a script expression; a pointer button is clicked Setter for onclick

  Parameters:
    `onclick` - - new value

### getOnclick

    public java.lang.String getOnclick()

  HTML: a script expression; a pointer button is clicked Getter for onclick

  Returns:
    onclick value from local variable or value bindings

### setOndblclick

    public void setOndblclick(java.lang.String __ondblclick)

  HTML: a script expression; a pointer button is double-clicked Setter for ondblclick

  Parameters:
    `ondblclick` - - new value

### getOndblclick

    public java.lang.String getOndblclick()

  HTML: a script expression; a pointer button is double-clicked Getter for ondblclick

  Returns:
    ondblclick value from local variable or value bindings

### setOnkeydown

    public void setOnkeydown(java.lang.String __onkeydown)

  HTML: a script expression; a key is pressed down Setter for onkeydown

  Parameters:
    `onkeydown` - - new value

### getOnkeydown

    public java.lang.String getOnkeydown()

  HTML: a script expression; a key is pressed down Getter for onkeydown

  Returns:
    onkeydown value from local variable or value bindings

### setOnkeypress

    public void setOnkeypress(java.lang.String __onkeypress)

  HTML: a script expression; a key is pressed and released Setter for onkeypress

  Parameters:
    `onkeypress` - - new value

### getOnkeypress

    public java.lang.String getOnkeypress()

  HTML: a script expression; a key is pressed and released Getter for onkeypress

  Returns:
    onkeypress value from local variable or value bindings

### setOnkeyup

    public void setOnkeyup(java.lang.String __onkeyup)

  HTML: a script expression; a key is released Setter for onkeyup

  Parameters:
    `onkeyup` - - new value

### getOnkeyup

    public java.lang.String getOnkeyup()

  HTML: a script expression; a key is released Getter for onkeyup

  Returns:
    onkeyup value from local variable or value bindings

### setOnmousedown

    public void setOnmousedown(java.lang.String __onmousedown)

  HTML: script expression; a pointer button is pressed down Setter for onmousedown

  Parameters:
    `onmousedown` - - new value

### getOnmousedown

    public java.lang.String getOnmousedown()

  HTML: script expression; a pointer button is pressed down Getter for onmousedown

  Returns:
    onmousedown value from local variable or value bindings

### setOnmousemove

    public void setOnmousemove(java.lang.String __onmousemove)

  HTML: a script expression; a pointer is moved within Setter for onmousemove

  Parameters:
    `onmousemove` - - new value

### getOnmousemove

    public java.lang.String getOnmousemove()

  HTML: a script expression; a pointer is moved within Getter for onmousemove

  Returns:
    onmousemove value from local variable or value bindings

### setOnmouseout

    public void setOnmouseout(java.lang.String __onmouseout)

  HTML: a script expression; a pointer is moved away Setter for onmouseout

  Parameters:
    `onmouseout` - - new value

### getOnmouseout

    public java.lang.String getOnmouseout()

  HTML: a script expression; a pointer is moved away Getter for onmouseout

  Returns:
    onmouseout value from local variable or value bindings

### setOnmouseover

    public void setOnmouseover(java.lang.String __onmouseover)

  HTML: a script expression; a pointer is moved onto Setter for onmouseover

  Parameters:
    `onmouseover` - - new value

### getOnmouseover

    public java.lang.String getOnmouseover()

  HTML: a script expression; a pointer is moved onto Getter for onmouseover

  Returns:
    onmouseover value from local variable or value bindings

### setOnmouseup

    public void setOnmouseup(java.lang.String __onmouseup)

  HTML: script expression; a pointer button is released Setter for onmouseup

  Parameters:
    `onmouseup` - - new value

### getOnmouseup

    public java.lang.String getOnmouseup()

  HTML: script expression; a pointer button is released Getter for onmouseup

  Returns:
    onmouseup value from local variable or value bindings

### setStyle

    public void setStyle(java.lang.String __style)

  CSS style(s) is/are to be applied when this component is rendered Setter for style

  Parameters:
    `style` - - new value

### getStyle

    public java.lang.String getStyle()

  CSS style(s) is/are to be applied when this component is rendered Getter for style

  Returns:
    style value from local variable or value bindings

### setStyleClass

    public void setStyleClass(java.lang.String __styleClass)

  Corresponds to the HTML class attribute Setter for styleClass

  Parameters:
    `styleClass` - - new value

### getStyleClass

    public java.lang.String getStyleClass()

  Corresponds to the HTML class attribute Getter for styleClass

  Returns:
    styleClass value from local variable or value bindings

### setSwitchType

    public void setSwitchType(java.lang.String __switchType)

  Tab switch algorithm: "client", "server"(default), "ajax" Setter for switchType

  Specified by:
    `setSwitchType` in class `UITabPanel`
  Parameters:
    `switchType` - - new value

### getSwitchType

    public java.lang.String getSwitchType()

  Tab switch algorithm: "client", "server"(default), "ajax" Getter for switchType

  Specified by:
    `getSwitchType` in class `UITabPanel`
  Returns:
    switchType value from local variable or value bindings

### setTabClass

    public void setTabClass(java.lang.String __tabClass)

  A CSS class to be applied to all tabs Setter for tabClass

  Parameters:
    `tabClass` - - new value

### getTabClass

    public java.lang.String getTabClass()

  A CSS class to be applied to all tabs Getter for tabClass

  Returns:
    tabClass value from local variable or value bindings

### setTitle

    public void setTitle(java.lang.String __title)

  Advisory title information about markup elements generated for this component Setter for title

  Parameters:
    `title` - - new value

### getTitle

    public java.lang.String getTitle()

  Advisory title information about markup elements generated for this component Getter for title

  Returns:
    title value from local variable or value bindings

### setWidth

    public void setWidth(java.lang.String __width)

  Width of a tab panel defined in pixels or in percents. The default value is 100% Setter for width

  Parameters:
    `width` - - new value

### getWidth

    public java.lang.String getWidth()

  Width of a tab panel defined in pixels or in percents. The default value is 100% Getter for width

  Returns:
    width value from local variable or value bindings

### getFamily

    public java.lang.String getFamily()

  Overrides:
    `getFamily` in class `javax.faces.component.UIInput`

### saveState

    public java.lang.Object saveState(javax.faces.context.FacesContext context)

  Specified by:
    `saveState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `saveState` in class `UITabPanel`

### restoreState

    public void restoreState(javax.faces.context.FacesContext context,
                             java.lang.Object state)

  Specified by:
    `restoreState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `restoreState` in class `UITabPanel`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.